DynDns Pflicht Login

gerry1980

Neuer User
Mitglied seit
1 Jul 2007
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
Seit langem ist ja bekannt, dass Dyndns Accounts ablaufen wenn man sich nicht
mit einem Dyndns Client regelmäßig anmeldet.
Vor nicht allzu-langer Zeit kam eine Mail von DynDns, dass dies nicht mehr ausreicht!
Man muss sich nun monatlich über die Weboberfläche anmelden!
Ich bin ein vergesslicher Mensch und habe nach einer Automatisierung gesucht.
Habe folgendes Skript gefunden und angepasst http://blog.stuart.shelton.me/archives/1024.

Voraussetzung:
-Freetz mit Curl.
-Gültige Email Daten im Push Service (Zu finden unter der AVM Oberfläche unter System).

Hinweise zur Nutzung:
1. Das Skript mit Login, Password und einer Empfänger-Emailadresse speichern.
2. Die angepasste Datei (bsp. dyndns.sh) hochladen nach /tmp/flash/dyndns.sh (geht mit Rudi-Shell).
3. Folgender Befehl setzt Ausführungsrechte chmod +x /tmp/flash/dyndns.sh (geht auch mit Rudi-Shell).
4. Persistieren im Flash: modsave flash (geht auch mit Rudi-Shell).
5. In Freetz unter System crontab ähnliches eintragen Minute Stunde Tag,Tag * * /tmp/flash/dyndns.sh
(Minute ersetzen mit einer Zahl zwischen 0 und 59)
(Stunde ersetzen mit einer Zahl zwischen 0 und 23)
(Tag,Tag am besten etwas variieren zb: jeden 5. und 17. des Monats = 7,15)
DynDns soll ja nicht merken, dass mehrere Leute ein und das selbe Skript nutzen :)

Man sollte das Skript über die Konsole mal getestet haben !
1. Wenn man die Raute vor "DEBUG=1" entfernt, bekommt Ihr beim Testen etwas mehr Informationen in der Konsole angezeigt.
2. Zum Testen am Besten auch die Zeile "sleep $DELAY" mit einer Raute auskommentieren.

Viel Spaß damit:
Code:
#!/bin/sh

#DEBUG=1

LOGIN="***"
PASSWORD="***"
EMAIL="***"

COOKIES="/tmp/.dynsdns.cookies.txt"
AL="en-gb"
UA="Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0)"
LOGINURL="https://account.dyn.com/entrance/"
POSTURL="$LOGINURL"
CHKURL="https://account.dyn.com/"

[[ $DEBUG ]] && DST="-" || DST="/dev/null"

# random sleep time 1-3000
DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom | tr -d '-' ) % 3000 + 1))
# If the method above didn't work, try the following method witk awk-srand.
# DELAY=$(awk 'BEGIN {srand(); print int (rand() * 3000) }')
echo >&2 "Wait '$DELAY' sec..."
sleep $DELAY

[[ -w "$( dirname "$COOKIES" )" ]] || { echo >&2 "FATAL: Cannot write to directory '$( dirname "$COOKIES" )'" ; exit 1; }

# Ensure no broken session caching...
if [[ -s "$COOKIES" ]]; then
	[[ -w "$COOKIES" ]] || { echo >&2 "FATAL: Cannot write to file '$COOKIES'" ; exit 1 ; }
	rm -f "$COOKIES" >/dev/null 2>&1
fi

[[ $DEBUG ]] && echo >&2 "DEBUG: Fetching initial headers to pre-load cookies..."
curl -b $COOKIES -c $COOKIES -Ikso "$DST" -A \"$UA\" --url "$LOGINURL"

[[ $DEBUG ]] && echo >&2 "DEBUG: Fetching UID..."
VALUE="$(
	   curl -b $COOKIES -c $COOKIES -kso - -A \"$UA\" --url "$LOGINURL" | \
	   grep -m 1 "multiform" | \
	   cut -d"'" -f 6
)"

[[ $DEBUG ]] && echo >&2 "DEBUG: Read UID as '$VALUE' - posting data..."
curl -b $COOKIES -c $COOKIES -d "username=$LOGIN" -d "password=$PASSWORD" -d "iov_id" -d "multiform=$VALUE" -e "$LOGINURL" -kso "$DST" -A \"$UA\" --url "$POSTURL"

[[ $DEBUG ]] && echo >&2 "DEBUG: Response received - verifying result..."
curl -b $COOKIES -c $COOKIES -e "$POSTURL" -kso - -A \"$UA\" -H "Accept-Language: $AL" --url "$CHKURL" | \
	   grep -qE "<span>(Welcome|Hi)&nbsp;<b>$LOGIN</b></span>" \
	&& echo "Login successful" \
	|| { echo >&2 "Login failed" ; mail send -s "Dyndns web login failed !" -f "[email protected]" -t "$EMAIL" ; exit 1 ; }

exit 0

Änderungen am Code 23.06.2013:
Weil bei hexdump aus unerklärlichen Gründen, bei einigen Boxen
negative Zahlen rauskommen, hab ich tr -d '-' ergänzt.
DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom | tr -d '-') % 3000 + 1))

Alternativ funktioniert auch die Methode mit awk.
DELAY=$(awk 'BEGIN {srand(); print int (rand() * 3000) }')
@MaxMuster: Gute Alternative. THX.


Infos zu hexdump und Modulo '%'
hexdump sollte bei -n2 eine Zahl zwischen 0 und 65535 liefern.
Dafür ist das -n2 = 2Byte; 1Byte = 256-1 folglich sind 2 Byte = (256*256)-1 = 65535.
Durch das Modulo '%' ist eine Zahl die größer als 3000 ist, mathematisch nicht möglich.
Das trotz der Formatierung '%u' (unsigned int) negative Zahlen auftreten ist komisch.
Wenn hexdump, aus mir unerklärlichen Gründen, Zahlen liefert die größer 65535 sind,
ist das egal, weil % folgt.

Ich danke allen fürs Feedback, da das Skript so auch getestet wurde und der Minus Fehler entlarvt wurde,
der bei manchen Boxen scheinbar auftritt.

@SaschaBr
Und natürlich könnt Ihr das Skript in anderen Foren posten, nett wäre ein Link hierher.


Have Fun !
 
Zuletzt bearbeitet:

SaschaBr

Aktives Mitglied
Mitglied seit
1 Mai 2007
Beiträge
2,292
Punkte für Reaktionen
16
Punkte
38
... Vor nicht allzu-langer Zeit kam eine Mail von DynDns, dass dies nicht mehr ausreicht!
Man muss sich nun monatlich über die Weboberfläche anmelden! ...
Echt jetzt??? Diese Mail muss ich wohl bei den vielen Werbe-Mails von denen übersehen bzw. direkt gelöscht haben. Das würde aber erklären, warum mein Hostname vor ca. 'ner Woche plötzlich mal nicht aufgelöst werden konnte (Hostname unbekannt oder so), und nach einem LogIn auf deren Webseite plötzlich wieder funktionierte.

Das Script ist jedenfalls eine gute Idee, auch wenn ich es auf meiner Fritz!Box 6360 leider nicht anwenden kann. Muss mal gucken, ob ich das stattdessen mit meiner QNAP mache.

Danke für den Tipp (und die Info ;))!
 

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
Moin

Nett, besonders da du es allen zur Verfügung stellst.
Leider nutze ich No-IP, da bekomm ich ne EMail für einzelne Hosts, die nicht aktualisiert werden/wurden.
Einloggen auf die Website/Account muss ich nicht.
Ein Captcha "Bildchen" bestätigen und wieder einen Monat Ruhe.

Hast du auch was, was Captchas ekennt und ausfüllt?

Nee, Spaß!

Weiter so....
 

Whoopie

Aktives Mitglied
Mitglied seit
19 Okt 2004
Beiträge
844
Punkte für Reaktionen
7
Punkte
18
Hi,

super Idee!!!

Bei mir scheint die Berechnung des Delays aber nicht zu funktionieren, es ist immer negativ:
Code:
Wait '-455' sec...
sleep: invalid number '-455'
Beste Grüße,
Whoopie
 

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
^---> Prüf mal separat dieses Kommando aus dem Skript:
Code:
DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
Bei mir kommt eine positive Zahl raus: 2361
 

Whoopie

Aktives Mitglied
Mitglied seit
19 Okt 2004
Beiträge
844
Punkte für Reaktionen
7
Punkte
18
Ausgabe ist unterschiedlich, mal positive, mal negative Zahl:

Code:
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-1311
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=1945
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=1057
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=1937
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-2447
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=1281
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-2591
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=2521
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-1775
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=1313
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-2943
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=985
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-1983
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=697
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-887
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-2255
[email protected]:/var/mod/root# echo DELAY=$(($(hexdump -n 2 -e '"%u"' /dev/urandom) % 3000 + 1))
DELAY=-935
 

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
Oh, verdammt, ich habs nur einmal aufgerufen :rolleyes:
Naja, dann halt einen fixen Wert nehmen, oder wäre das ein Problem?
 

MaxMuster

IPPF-Promi
Mitglied seit
1 Feb 2005
Beiträge
6,932
Punkte für Reaktionen
1
Punkte
36
Ist auf meinem W701 bislang immer positiv. Aber, solange mehr als eine Sekunde zwischen den Aufrufen liegt (wegen srand), wie wäre das?
Code:
echo DELAY=$(awk 'BEGIN {srand(); print int (rand() * 3000) }')
 

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
Sieht Klasse aus:
Code:
while true
do
echo DELAY=$(awk 'BEGIN {srand(); print int (rand() * 3000) }')
usleep 500000 # ACHTUNG !!! usleep hat nicht jeder !!!
done
Code:
DELAY=996
DELAY=2067
DELAY=2067
DELAY=151
DELAY=151
DELAY=2715
DELAY=2715
DELAY=2292
DELAY=2292
DELAY=361
DELAY=361
DELAY=2951
DELAY=2951
DELAY=2500
DELAY=2500
DELAY=586
DELAY=586
DELAY=1670
DELAY=1670
DELAY=1235
DELAY=1235
DELAY=2315
DELAY=2315
DELAY=396
DELAY=396
DELAY=2958
DELAY=2958
DELAY=2554
DELAY=2554
DELAY=618
DELAY=618
DELAY=1692
DELAY=1692
DELAY=1274
DELAY=1274
 
Zuletzt bearbeitet:

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
1
Punkte
0
Ausgabe ist unterschiedlich, mal positive, mal negative Zahl:
Was für ein Hexdump verwendest Du denn? Das %u sollte unsigned ausgeben, also immer positiv. Was kommt bei Dir bei
Code:
echo $(hexdump -n2 -e'"%u"' /dev/urandom )
Bei mir kommen positive Zahlen zwischen 0 und 65535, so wie es sein sollte.
 

Whoopie

Aktives Mitglied
Mitglied seit
19 Okt 2004
Beiträge
844
Punkte für Reaktionen
7
Punkte
18
Was für ein Hexdump verwendest Du denn? Das %u sollte unsigned ausgeben, also immer positiv. Was kommt bei Dir bei
Code:
echo $(hexdump -n2 -e'"%u"' /dev/urandom )
Bei mir kommen positive Zahlen zwischen 0 und 65535, so wie es sein sollte.
Ich benutze das busybox' hexdump auf meiner 7390. Wenn ich Deinen Befehl nutze, sind die Werte auch immer positiv, aber die Werte sind um einiges größer als 65535:
Code:
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
3804168192
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
118620160
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
22216704
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
1131151360
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
1343815680
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
3692953600
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
30867456
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
2502295552
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
3415408640
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
269287424

Auf der 7170 sieht es aber wie von Dir beschrieben aus:
Code:
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
34144
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
55676
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
43808
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
21181
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
21060
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
53863
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
63574
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
14950
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
14068
[email protected]:/var/mod/root# echo $(hexdump -n2 -e'"%u"' /dev/urandom )
36797
 
Zuletzt bearbeitet:

SaschaBr

Aktives Mitglied
Mitglied seit
1 Mai 2007
Beiträge
2,292
Punkte für Reaktionen
16
Punkte
38
... Was kommt bei Dir bei
Code:
echo $(hexdump -n2 -e'"%u"' /dev/urandom )
...
Auf meiner QNAP kommt auch immer ein positiver Wert bis ~65500 raus. :D

Code:
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
31677
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
50421
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
50122
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
28423
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
18656
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
16235
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
32321
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
43519
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
35542
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
4132
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
6144
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
4483
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
52579
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
47754
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
55213
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
585
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
37454
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
28184
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
55648
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
31581
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
59607
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
65147
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
13389
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
65250
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
32337
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
57744
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
3150
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
33708
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
56088
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
34654
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
31848
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
40705
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
27331
[~] # echo $(hexdump -n2 -e'"%u"' /dev/urandom )
4855
Heißt das jetzt für mich, ich kann dieses Script (aus dem Eingangspost) "as it is" verwenden?


EDITH:
OK, das mit dem Mail verschicken wird so auf der QNAP nicht funktionieren, aber das wäre das kleinere Problem.


@gerry1980: Hast Du was dagegen, wenn ich das hier ins QNAP-Forum "weiterleite"?
 
Zuletzt bearbeitet:

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
1
Punkte
0
Heißt das jetzt für mich, ich kann dieses Script (aus dem Eingangspost) "as it is" verwenden?
Vermutlich.
Die Variante mit awk hat aber den Vorteil, dass sie nicht aus /dev/urandom liest. Der Zweck der Verzögerung ist hier nur, dass der Zugriff nicht immer zur gleichen Zeit erfolgt, dafür hat man keinen hohen Bedarf an "Zufälligkeit".
Statt 3000 Sekunden kann man auch 3600 verwenden für eine ganze Stunde, oder auch noch mehr.
 

MaxMuster

IPPF-Promi
Mitglied seit
1 Feb 2005
Beiträge
6,932
Punkte für Reaktionen
1
Punkte
36
Auch wenn es vielleicht OT wird:
Ansonsten kann man immer noch "mogeln", denn auf "echten" Zufall kommt es ja nicht an, wie Ralf schon schrieb.
Dafür bietet sich das Datum oder der Netzwerkverkehr als "Zufallsquelle" an. Entweder "direkt"
oder auch mit md5sum:
Code:
# 3 Stellen --> Zahlen zwischen 0x0 und 0xfff (0 und 4095)
echo $(( 0x$(date  | md5sum  | head -c 3 ) ))
echo $(( 0x$(uptime  | md5sum  | head -c 3 ) ))

echo $(( 0x$(ifconfig  | md5sum  | head -c 3 ) ))
echo $(( 0x$(md5sum /proc/net/dev  | head -c 3 ) ))
 

gerry1980

Neuer User
Mitglied seit
1 Jul 2007
Beiträge
13
Punkte für Reaktionen
0
Punkte
0
Auf richtigen Zufall kommt es sicherlich nicht an.
Der Code ist jetzt dennoch gefixed, hab ihn mittlerweile auf dem W701, einer 7240 und einer 7320 getestet.

@MaxMuster: Aber es ginge natürlich auch so ;-)
$ echo $(( 0x$(hexdump -n4 /dev/urandom | md5sum | head -c 3 ) ))

Beste Grüße,
Gerry
 

moonsorrox

Mitglied
Mitglied seit
13 Nov 2006
Beiträge
303
Punkte für Reaktionen
0
Punkte
16
aber die FritzBox muss zwingend Freetz installiert haben sonst geht das nicht..?
 

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
N'Abend

Nicht unbedingt freetz, eine busybox mit entsprechenden Kommandoumfang würde auch reichen.
Zum Beispiel die hier, mit awk und hexdump.
Code:
BusyBox v1.20.0 (2012-08-22 21:37:52 CDT) multi-call binary.
Copyright (C) 1998-2011 Erik Andersen, Rob Landley, Denys Vlasenko
and others. Licensed under GPLv2.
See source distribution for full notice.

Usage: busybox [function] [arguments]...
   or: busybox --list[-full]
   or: busybox --install [-s] [DIR]
   or: function [arguments]...

        BusyBox is a multi-call binary that combines many common Unix
        utilities into a single executable.  Most people will create a
        link to busybox for each function they wish to use and BusyBox
        will act like whatever it was invoked as.

Currently defined functions:
        [, [[, acpid, add-shell, addgroup, adduser, adjtimex, arp, arping, ash, awk, base64, basename, beep, blkid, blockdev, bootchartd, brctl, bunzip2, bzcat, bzip2, cal,
        cat, catv, chat, chattr, chgrp, chmod, chown, chpasswd, chpst, chroot, chrt, chvt, cksum, clear, cmp, comm, conspy, cp, cpio, crond, crontab, cryptpw, cttyhack, cut,
        date, dc, dd, deallocvt, delgroup, deluser, depmod, devmem, df, dhcprelay, diff, dirname, dmesg, dnsd, dnsdomainname, dos2unix, du, dumpkmap, dumpleases, echo, ed,
        egrep, eject, env, envdir, envuidgid, ether-wake, expand, expr, fakeidentd, false, fbset, fbsplash, fdflush, fdformat, fdisk, fgconsole, fgrep, find, findfs, flock,
        fold, free, freeramdisk, fsck, fsck.minix, fsync, ftpd, ftpget, ftpput, fuser, getopt, getty, grep, groups, gunzip, gzip, halt, hd, hdparm, head, hexdump, hostid,
        hostname, httpd, hush, hwclock, id, ifconfig, ifdown, ifenslave, ifplugd, ifup, inetd, init, insmod, install, ionice, iostat, ip, ipaddr, ipcalc, ipcrm, ipcs,
        iplink, iproute, iprule, iptunnel, kbd_mode, kill, killall, killall5, klogd, last, less, linux32, linux64, linuxrc, ln, loadfont, loadkmap, logger, login, logname,
        logread, losetup, lpd, lpq, lpr, ls, lsattr, lsmod, lsof, lspci, lsusb, lzcat, lzma, lzop, lzopcat, makedevs, makemime, man, md5sum, mdev, mesg, microcom, mkdir,
        mkdosfs, mke2fs, mkfifo, mkfs.ext2, mkfs.minix, mkfs.vfat, mknod, mkpasswd, mkswap, mktemp, modinfo, modprobe, more, mount, mountpoint, mpstat, mt, mv, nameif,
        nanddump, nandwrite, nbd-client, nc, netstat, nice, nmeter, nohup, nslookup, ntpd, od, openvt, passwd, patch, pgrep, pidof, ping, ping6, pipe_progress, pivot_root,
        pkill, pmap, popmaildir, poweroff, powertop, printenv, printf, ps, pscan, pstree, pwd, pwdx, raidautorun, rdate, rdev, readahead, readlink, readprofile, realpath,
        reboot, reformime, remove-shell, renice, reset, resize, rev, rm, rmdir, rmmod, route, rpm, rpm2cpio, rtcwake, run-parts, runlevel, runsv, runsvdir, rx, script,
        scriptreplay, sed, sendmail, seq, setarch, setconsole, setfont, setkeycodes, setlogcons, setserial, setsid, setuidgid, sh, sha1sum, sha256sum, sha512sum, showkey,
        slattach, sleep, smemcap, softlimit, sort, split, start-stop-daemon, stat, strings, stty, su, sulogin, sum, sv, svlogd, swapoff, swapon, switch_root, sync, sysctl,
        syslogd, tac, tail, tar, tcpsvd, tee, telnet, telnetd, test, tftp, tftpd, time, timeout, top, touch, tr, traceroute, traceroute6, true, tty, ttysize, tunctl, udhcpc,
        udhcpd, udpsvd, umount, uname, unexpand, uniq, unix2dos, unlzma, unlzop, unxz, unzip, uptime, users, usleep, uudecode, uuencode, vconfig, vi, vlock, volname, wall,
        watch, watchdog, wc, wget, which, who, whoami, whois, xargs, xz, xzcat, yes, zcat, zcip
...zu finden hier klick, am besten auf USB-Stick kopieren.
Wenn FAT32 Dateisystem auf Stick, dann braucht sie nicht ausführbar gemacht werden, sind nämlich alle da ausführbar.

Korrigiert mich bitte wenn das so nicht stimmt:
Die 71XXer und 72XXer Boxen brauchen MIPSEL und die 73XXer Boxen MIPS.
 
Zuletzt bearbeitet:

eisbaerin

IPPF-Promi
Mitglied seit
29 Sep 2009
Beiträge
7,341
Punkte für Reaktionen
248
Punkte
63
Und wo gibt es in dieser Busybox den Befehl "curl" ??? :confused:
 
Zuletzt bearbeitet:

koyaanisqatsi

IPPF-Urgestein
Mitglied seit
24 Jan 2013
Beiträge
12,028
Punkte für Reaktionen
273
Punkte
83
Pöh, als Binary hier im Forum.
Sollte aber wirklich mal busy gemacht werden, damits boxt.
 

Zurzeit aktive Besucher

3CX PBX - GRATIS
Linux / Win / Cloud

Statistik des Forums

Themen
234,463
Beiträge
2,046,950
Mitglieder
354,258
Neuestes Mitglied
EatMyShorts55